Subject: Re: linux-next: build failure after merge of the ftrace tree

From: Steven Rostedt <[email-masked]>
Date: Thu, 10 Oct 2024 11:04:34 -0400

On Thu, 10 Oct 2024 22:08:04 +0800
Donglin Peng <[email-masked]> wrote:

> > Hmm, strange. This went through my tests that also does an allmodconfig build.
> >
> > I'll go investigate. Thanks for the report.  
> 
> I suspect that the configuration CONFIG_FUNCTION_GRAPH_RETADDR may be
>  disabled during testing. If this configuration is indeed disabled,
> the function
> __trace_graph_retaddr_entry will not invoke call_filter_check_discard.

allmodconfig should enable it. Unless it's a tristate.

I'll look at my tests to see if something else caused it to be disabled.

-- Steve